#include <gear/ui/gui.h>
#include <log.c/log.h>

void g_gui_destroy(g_gui* gui) {
    for(sl_vec_it(layer, gui->layers)) {
        log_debug("Freeing layer %s", (*layer)->name);
        (*layer)->destroy((*layer)->data);
        log_debug("Freed layer");
    }

    sl_vec_free(gui->layers);
    free(gui);

    log_debug("Freed GUI: %p", gui);
}
